#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-GQaTbYrv6QJ2F9Pgtkxd0d
key: crypto-pubkey-0.2.8-GQaTbYrv6QJ2F9Pgtkxd0d
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
indefinite: False
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
abi: 98371239757df0f8ec5e43c4bd2987b5
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.2.1/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.2.1/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-GQaTbYrv6QJ2F9Pgtkxd0d
depends:
    base-4.10.0.0 bytestring-0.10.8.2
    byteable-0.1.1-3VfNJqauCum9lD10cS8nmH
    crypto-random-0.0.9-BSpM7y7ISpuFpciKyVdNkw
    crypto-pubkey-types-0.4.3-5xWPq7VeggTIeTMnPlZOnM
    cryptohash-0.11.9-CbyZN7BRHMT5dI4lI46n03
    crypto-numbers-0.2.7-GObK7GDpik4agUDtS8Cur
abi-depends: base-4.10.0.0=835a16347ec1b210054efd02671c29ee
             bytestring-0.10.8.2=590a7a3c0bdcf7a6a59d8c8ef548a44a
             byteable-0.1.1-3VfNJqauCum9lD10cS8nmH=ecad75526b40e3669fcd751d69f205cf
             crypto-random-0.0.9-BSpM7y7ISpuFpciKyVdNkw=3b7d177dc80b8bc5e1bfdcce1f18012a
             crypto-pubkey-types-0.4.3-5xWPq7VeggTIeTMnPlZOnM=2a259d643ffff50f75ebb2a9bb025806
             cryptohash-0.11.9-CbyZN7BRHMT5dI4lI46n03=ed4ca5f65e9c6366b49def9a54c1708e
             crypto-numbers-0.2.7-GObK7GDpik4agUDtS8Cur=477efe22cac969ca34940ccc99b80c78
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

